<!--
  Generated template for the UserPage page.

  See http://ionicframework.com/docs/components/#navigation for more info on
  Ionic pages and navigation.
-->
<ion-header>

  <ion-navbar>
    <button ion-button menuToggle>
      <ion-icon name="menu"></ion-icon>
    </button>
    <ion-title>User {{account.username}}</ion-title>
  </ion-navbar>

</ion-header>


<ion-content padding>
<ion-list>
      <ion-item>
        <ion-label floating>Old Password</ion-label>
        <ion-input type="password" [(ngModel)]="account.password" name="password"></ion-input>
      </ion-item>

      <ion-item>
        <ion-label floating>New Password</ion-label>
        <ion-input type="password" [(ngModel)]="account.password1" name="password"></ion-input>
      </ion-item>

      <ion-item>
        <ion-label floating>Password repeat</ion-label>
        <ion-input type="password" [(ngModel)]="account.password2" name="password"></ion-input>
      </ion-item>

      <div padding>
        <button ion-button color="primary" block (click)="doUpdate()">UPDATE</button>
      </div>

    </ion-list>
</ion-content>
